set stor 100.151.222.212            
set stor_user admin                            
set stor_pswd Admin@storage1                    

proc cmd {str} {                               
	append str "\r"                        
	send $str                              
	set end 0                              
	while { $end == 0 } {                  
		expect {                       
			"More" {               
				send " "       
			}                      
			">" {                  
				set end 1      
			}                      
		}                              
	}                                      
}                                              
                                               
spawn ssh $stor_user@$stor                     
expect {                                       
	"assword" {                            
		send "$stor_pswd\r"            
	}                                      
	"yes/no" {                             
		send "yes\r"                   
		expect "assword"               
		send "$stor_pswd\r"            
	}                                      
}                                              
expect ">"                                     
                                               
set timeout 180                                 
set ddcount 8
set poolcount 8
set luncount 16
set mapcount 1                             

cmd "change user_mode current_mode user_mode=developer"
cmd "show system general"
cmd "show controller general"                           
cmd "show fan"                  
cmd "show power_supply"                         
cmd "change cli capacity_mode=precise"
cmd "show disk_domain general"
for {set i 0} { $i < $ddcount } { incr i } {  
	cmd "show disk_domain general disk_domain_id=$i"
}

cmd "show storage_pool general"
for {set i 0} { $i < $poolcount } { incr i } {  
	cmd "show storage_pool general pool_id=$i"
}
                             
cmd "show lun general"                                  
for {set i 0} { $i < $luncount } { incr i } {  
	cmd "show lun general lun_id=$i"                  
}                                              
                         
cmd "show disk general"   

                   
for {set a 0} { $a <= 9 } { incr a } { 
    cmd "show disk general disk_id=DAE000.$a" 
					
}
for {set a 0} { $a <= 9 } { incr a } { 
    cmd "show disk general disk_id=DAE010.$a" 
					
}
for {set a 0} { $a <= 9 } { incr a } { 
    cmd "show disk general disk_id=DAE020.$a" 
					
}
for {set a 0} { $a <= 9 } { incr a } { 
    cmd "show disk general disk_id=DAE030.$a" 
					
}
for {set a 0} { $a <= 9 } { incr a } { 
    cmd "show disk general disk_id=DAE080.$a" 
					
}
for {set a 0} { $a <= 9 } { incr a } { 
    cmd "show disk general disk_id=DAE090.$a" 
					
}
for {set a 0} { $a <= 9 } { incr a } { 
    cmd "show disk general disk_id=DAE0A0.$a" 
					
}
for {set a 0} { $a <= 9 } { incr a } { 
    cmd "show disk general disk_id=DAE0B0.$a" 
					
}

cmd "change cli capacity_mode=automatic"
cmd "show mapping_view general"
cmd "show mapping_view general mapping_view_id=1"

cmd "show mapping_view lun_group mapping_view_id=1"
cmd "show mapping_view host_group mapping_view_id=1"

cmd "show lun_group lun lun_group_id=1"
cmd "show host_group host host_group_id=1"

cmd "show host general host_id=1"
cmd "show host general host_id=2"
cmd "show host general host_id=3"
cmd "show host general host_id=4"
cmd "show host general host_id=5"
cmd "show initiator host_id=1"
cmd "show initiator host_id=2"
cmd "show initiator host_id=3"
cmd "show initiator host_id=4"
cmd "show initiator host_id=5"

cmd "show enclosure"

cmd "show port general physical_type=FC"
cmd "show port general physical_type=SAS"

cmd "show port general"

cmd "show system general"
send "exit\r"
expect ">"                                 
send "exit\r" 
expect "(y/n):"                               
send "y\r"
sleep 5  
send "exit\r"                                   
expect "closed"
